public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tiziano Müller" <dev-zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/source-highlight/files/, dev-util/source-highlight/
Date: Sat, 13 Apr 2019 14:08:30 +0000 (UTC)	[thread overview]
Message-ID: <1555164498.94686e9c582faa576804c20a0e2e037f701f8f5b.dev-zero@gentoo> (raw)

commit:     94686e9c582faa576804c20a0e2e037f701f8f5b
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 14:07:10 2019 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 14:08:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94686e9c

dev-util/source-highlight: fix dark colors in GDB

rev.bump to import patch from Fedora (and bump EAPI) to make functions
names readable in syntax colored GDB output when using a dark
background, see

  https://bugzilla.redhat.com/show_bug.cgi?id=1688372

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Tiziano Müller <dev-zero <AT> gentoo.org>

 .../files/source-highlight-3.1.8-no-black.patch    | 12 +++++
 .../source-highlight-3.1.8-r1.ebuild               | 55 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-util/source-highlight/files/source-highlight-3.1.8-no-black.patch b/dev-util/source-highlight/files/source-highlight-3.1.8-no-black.patch
new file mode 100644
index 00000000000..b673c2f7922
--- /dev/null
+++ b/dev-util/source-highlight/files/source-highlight-3.1.8-no-black.patch
@@ -0,0 +1,12 @@
+diff -up source-highlight-3.1.8/src/esc.style.no-black source-highlight-3.1.8/src/esc.style
+--- source-highlight-3.1.8/src/esc.style.no-black	2019-03-20 16:52:33.053965325 +0000
++++ source-highlight-3.1.8/src/esc.style	2019-03-20 16:52:42.502965289 +0000
+@@ -7,7 +7,7 @@ comment cyan i ;
+ number purple ;
+ preproc darkblue b ;
+ symbol darkred ;
+-function black b;
++function b;
+ cbracket red;
+ variable darkgreen ;
+ 

diff --git a/dev-util/source-highlight/source-highlight-3.1.8-r1.ebuild b/dev-util/source-highlight/source-highlight-3.1.8-r1.ebuild
new file mode 100644
index 00000000000..2d1d48d6033
--- /dev/null
+++ b/dev-util/source-highlight/source-highlight-3.1.8-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 flag-o-matic
+
+DESCRIPTION="Generate highlighted source code as an (x)html document"
+HOMEPAGE="https://www.gnu.org/software/src-highlite/source-highlight.html"
+SRC_URI="mirror://gnu/src-highlite/${P}.tar.gz"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
+SLOT="0"
+IUSE="doc static-libs"
+
+RDEPEND=">=dev-libs/boost-1.62.0:=[threads]
+	dev-util/ctags"
+DEPEND="${RDEPEND}"
+BDEPEND=""
+
+PATCHES=(
+	"${FILESDIR}/${P}-no-black.patch"
+	)
+
+src_configure() {
+	# required as rev-dep of dev-libs/boost-1.62.0
+	# https://wiki.gentoo.org/wiki/Project:C%2B%2B/Maintaining_ABI
+	append-cxxflags -std=c++14
+
+	econf \
+		--with-boost="${EPREFIX}/usr" \
+		--with-boost-regex="boost_regex" \
+		--without-bash-completion \
+		$(use_enable static-libs static)
+}
+
+src_install () {
+	use doc && local HTML_DOCS=( doc/*.{html,css,java} )
+	default
+
+	# That's not how we want it
+	rm -rf "${ED%/}"/usr/share/{aclocal,doc} || die
+
+	# package provides .pc file
+	find "${D}" -name '*.la' -delete || die
+
+	dobashcomp completion/source-highlight
+}
+
+src_test() {
+	export LD_LIBRARY_PATH="${S}/lib/srchilite/.libs/"
+	# upstream uses the same temporary filenames in numerous places
+	# see https://bugs.gentoo.org/635100
+	emake -j1 check
+}


             reply	other threads:[~2019-04-13 14:08 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-13 14:08 Tiziano Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-08-27  7:00 [gentoo-commits] repo/gentoo:master commit in: dev-util/source-highlight/files/, dev-util/source-highlight/ Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1555164498.94686e9c582faa576804c20a0e2e037f701f8f5b.dev-zero@gentoo \
    --to=dev-zero@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox